Subject: bug#68970: 30.0.50; Info.el: Info-url-alist should support format-sequence that encodes "Top" node as "index"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Feb 2024 08:26:21 +0200

> From: Mekeor Melire <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Wed, 07 Feb 2024 22:10:25 +0000
> 
> 2024-02-07 22:18 [email-masked]:
> 
> > > Let's assume we have a manual with "Top" node as well as a node called
> > > "Foo". Let's further assume the webserver is configured so that
> > > example.com/Foo does not resolve to example.com/Foo.html but rather
> > > results in "not found".
> >
> > Why would we assume a strange configuration like that?  That's not
> > what happens on gnu.org, for example.  Which documentation sites that
> > offer Texinfo-derived manuals have such configurations?
> 
> Yes, gnu.org does allow to omit the .html suffix.
> 
> I am working on an Emacs package that will provide more entries to
> Info-url-alist. That's why I have a tentative list, as you requested, at
> hand, indeed. Here's a list of entries that require a .html suffix:

I tried several of those, and they all work without index.html.  For
example, these work for me:

  https://sourceware.org/gdb/current/onlinedocs/gdb
  https://sourceware.org/gdb/current/onlinedocs/annotate
  https://sourceware.org/gdb/current/onlinedocs/stabs
  https://cc-mode.sourceforge.net/html-manual
  https://orgmode.org/manual

Some of them also work with a trailing slash, some don't.

So I still don't see why we would need %i.

> > I understand, but the overlap in functionality between %e and %i is
> > got to cause some confusion, so if there's a way to avoid that, I'd
> > prefer it.  The code intentionally produces an empty string for "Top",
> > and there's a good reason for it doing so.
> 
> The "good reason" is only to keep URLs a little shorter, if possible,
> for ease on eyes. :)
> 
> Another idea would be to let users specify two URL-SPECs: One for the
> Top-node; another for non-Top nodes.

I'd prefer this latter alternative.